#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: okteta
Summary: Editor for raw file data as Hex values
Version: 4.12.5
Group: Graphical desktop/KDE
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%{version}.tar.xz

BuildRequires: kdepimlibs4-devel >= 2:%version

Conflicts: kdesdk4-core < 1:4.10.5

Obsoletes: kbugbuster < 1:4.5.76

%description
Okteta is a simple editor for the raw data of files. This type of
program is also called hex editor or binary editor.

%files
%_kde_bindir/okteta
%_kde_bindir/struct2osd.sh
%_kde_libdir/kde4/libkbytearrayedit.so
%_kde_libdir/kde4/oktetapart.so
%_kde_applicationsdir/okteta.desktop
%_kde_appsdir/okteta
%_kde_appsdir/oktetapart
%_kde_datadir/config.kcfg/structviewpreferences.kcfg
%_kde_configdir/okteta-structures.knsrc
%_kde_iconsdir/*/*/apps/okteta.png
%_kde_services/kbytearrayedit.desktop
%_kde_services/oktetapart.desktop
%_kde_datadir/mime/packages/okteta.xml
%doc %_kde_docdir/HTML/en/okteta

#------------------------------------------------------------------------------

%define okteta1core_major 1
%define libokteta1core %mklibname okteta1core %{okteta1core_major}

%package -n %libokteta1core
Summary: Runtime library for okteta
Group: System/Libraries
Conflicts: %{_lib}okteta1core0 < 1:4.8.97-2
Obsoletes: %{_lib}okteta1core0 < 1:4.8.97-2

%description -n %libokteta1core
Runtime library for okteta.

%files -n %libokteta1core
%_kde_libdir/libokteta1core.so.%{okteta1core_major}
%_kde_libdir/libokteta1core.so.0.*

#------------------------------------------------------------------------------

%define okteta1gui_major 1
%define libokteta1gui %mklibname okteta1gui %{okteta1gui_major}

%package -n %libokteta1gui
Summary: Runtime library for okteta
Group: System/Libraries
Conflicts: %{_lib}okteta1gui0 < 1:4.8.97-2
Obsoletes: %{_lib}okteta1gui0 < 1:4.8.97-2

%description -n %libokteta1gui
Runtime library for okteta.

%files -n %libokteta1gui
%_kde_libdir/libokteta1gui.so.%{okteta1gui_major}
%_kde_libdir/libokteta1gui.so.0.*

#------------------------------------------------------------------------------

%define kasten2okteta1gui_major 1
%define libkasten2okteta1gui %mklibname kasten2okteta1gui %{kasten2okteta1gui_major}

%package -n %libkasten2okteta1gui
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten2okteta1gui0 < 1:4.8.97-2

%description -n %libkasten2okteta1gui
Runtime library for okteta.

%files -n %libkasten2okteta1gui
%_kde_libdir/libkasten2okteta1gui.so.%{kasten2okteta1gui_major}
%_kde_libdir/libkasten2okteta1gui.so.0.*

#------------------------------------------------------------------------------

%define kasten2okteta1core_major 1
%define libkasten2okteta1core %mklibname kasten2okteta1core %{kasten2okteta1core_major}

%package -n %libkasten2okteta1core
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten2okteta1core0 < 1:4.8.97-2

%description -n %libkasten2okteta1core
Runtime library for okteta.

%files -n %libkasten2okteta1core
%_kde_libdir/libkasten2okteta1core.so.%{kasten2okteta1core_major}
%_kde_libdir/libkasten2okteta1core.so.0.*

#------------------------------------------------------------------------------

%define kasten2okteta1controllers_major 1
%define libkasten2okteta1controllers %mklibname kasten2okteta1controllers %{kasten2okteta1controllers_major}

%package -n %libkasten2okteta1controllers
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten2okteta1controllers0 < 1:4.8.97-2

%description -n %libkasten2okteta1controllers
Runtime library for okteta.

%files -n %libkasten2okteta1controllers
%_kde_libdir/libkasten2okteta1controllers.so.%{kasten2okteta1controllers_major}
%_kde_libdir/libkasten2okteta1controllers.so.0.*

#------------------------------------------------------------------------------

%define kasten2gui_major 2
%define libkasten2gui %mklibname kasten2gui %{kasten2gui_major}

%package -n %libkasten2gui
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten2gui0 < 1:4.8.97-2

%description -n %libkasten2gui
Runtime library for okteta.

%files -n %libkasten2gui
%_kde_libdir/libkasten2gui.so.%{kasten2gui_major}
%_kde_libdir/libkasten2gui.so.0.*

#------------------------------------------------------------------------------

%define kasten2core_major 2
%define libkasten2core %mklibname kasten2core %{kasten2core_major}

%package -n %libkasten2core
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten2core0 < 1:4.8.97-2

%description -n %libkasten2core
Runtime library for okteta.

%files -n %libkasten2core
%_kde_libdir/libkasten2core.so.%{kasten2core_major}
%_kde_libdir/libkasten2core.so.0.*

#------------------------------------------------------------------------------

%define kasten2controllers_major 2
%define libkasten2controllers %mklibname kasten2controllers %{kasten2controllers_major}

%package -n %libkasten2controllers
Summary: Runtime library for okteta
Group: System/Libraries
Obsoletes: %{_lib}kasten2controllers0 < 1:4.8.97-2

%description -n %libkasten2controllers
Runtime library for okteta.

%files -n %libkasten2controllers
%_kde_libdir/libkasten2controllers.so.%{kasten2controllers_major}
%_kde_libdir/libkasten2controllers.so.0.*


#------------------------------------------------------------------------------


%package    devel
Summary:    Header files for %{name}
Group:      Development/KDE and Qt
Provides:   okteta-devel = %epoch:%version-%release

Requires: %libokteta1core = %epoch:%version
Requires: %libkasten2okteta1gui = %epoch:%version
Requires: %libokteta1gui = %epoch:%version
Requires: %libkasten2okteta1core = %epoch:%version
Requires: %libkasten2okteta1controllers = %epoch:%version
Requires: %libkasten2gui = %epoch:%version
Requires: %libkasten2core = %epoch:%version
Requires: %libkasten2controllers = %epoch:%version
Conflicts: kdeutils4-devel < 4.5.71
Conflicts: kdesdk4-devel < 1:4.10.80
Conflicts: kremotecontrol < 4.5.71

%description  devel
This package includes the header files you will need to compile applications
against %{name}.

%files devel
%_kde_includedir/*
%_kde_libdir/libkasten2okteta1controllers.so
%_kde_libdir/libkasten2core.so
%_kde_libdir/libkasten2gui.so
%_kde_libdir/libkasten2okteta1core.so
%_kde_libdir/libokteta1core.so
%_kde_libdir/libkasten2controllers.so
%_kde_libdir/libokteta1gui.so
%_kde_libdir/libkasten2okteta1gui.so
%_kde_libdir/kde4/plugins/designer/oktetadesignerplugin.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold
%cmake_kde4 -DKDE4_ENABLE_FINAL=OFF
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sun Jun 29 2014 lmenut <lmenut> 1:4.12.5-1.mga4
+ Revision: 641379
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555069
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551341
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540389
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490816
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476899
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465239
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458987
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455372
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448013
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package okteta

